@import '../global/var-pages';
@import '../global/var';

.page-profile {
    .profile-header {
        padding: 40px 0;
    }

    .profile-img {
        padding-right: 16px;
        flex: none;
        img {
            border-radius: 8px;
            max-width: 48px;
            max-height: 48px;
        }
        .profile-photo {
            display: inline;
        }
    }

    .profile-wrapper {
        flex: auto;
        min-width: 0;
    }

    .profile-personal-content {
        flex: auto;
        min-width: 0;
    }

    .profile-versions-info {
        margin-left: auto;
        flex: none;
    }

    .profile-personal-name {
        max-width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        padding-right: 15px;
    }

    .profile-social {
        display: inline-block;
        > a {
            margin-right: 15px;
            box-shadow: 0 0 5px rgba($black, .2);
        }
    }

    .profile__form {
        &-wrapper {
            padding: 28px 0 20px;
            justify-content: space-between;
            border-top: 1px solid rgba($dark-new, .15);
        }
        &-title {
            font-size: 16px;
            font-weight: normal;
            line-height: 1.5;
            letter-spacing: 0.16px;
            color: $dark-new;
            margin-bottom: 8px;
        }
        &-row {
            margin-bottom: 0;
            margin-left: auto;
            width: 434px;
            md-input-container {
                &:nth-child(2) {
                    margin-left: 25px;
                }
                width: 100%;
            }
        }
        &-loader {
            display: flex;
            align-items: center;
            justify-content: center;
        }
        button {
            margin-left: 12px;
        }
    }

    .label {
        height: 16px;
        background-color: rgba($dark-new, .1);
        border-radius: 8px;
        padding: 3px 8px;
        font-size: 8px;
        font-weight: normal;
        color: $dark-new;
    }

    .profile-info {
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgba($black, .3);
        line-height: 20px;
        padding: 10px 30px;
        color: $bright;

        ul {
            margin: 0;
        }
    }

    .logout {
        padding-top: 8px;
    }

    img.media-object {
        border-radius: $border-radius-base;
    }

    @media screen and (max-width: $md-screen-phone) {
        padding-top: 60px;
        padding-bottom: $page-padding-bottom-with-zendesk;

        &__body {
            margin-right: -#{$page-padding-right-left-mobile};
            margin-left: -#{$page-padding-right-left-mobile};
        }

        .profile-header {
            padding: 24px $page-padding-right-left-mobile;
        }

        .profile-versions-info {
            margin: 5px 0 0;
        }

        .profile__form {
            &-wrapper {
                padding: 24px $page-padding-right-left-mobile 28px;
                &:last-child {
                    padding-bottom: 0;
                }
            }
            &-title {
                max-width: unset;
                width: 100%;
                margin-bottom: 12px;
            }
            &-row {
                &._access {
                    width: 100%;
                }
                &:not(._access) {
                    flex-direction: column;
                    width: 100%;
                    margin-bottom: 12px;
                    md-input-container {
                        &:nth-child(2) {
                            margin-left: 0;
                        }
                        width: 100%;
                    }
                }
            }
        }
    }
}
